package com.malk.huagao.controller;

import com.malk.huagao.service.IKdYdMaterialService;
import com.malk.huagao.service.IKdYdOrderService;
import com.malk.server.common.McR;
import com.malk.service.aliwork.YDClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author LQY
 * @since 2025-10-16
 */
@RestController
@RequestMapping("/hg")
public class KdYdMaterialController {
    @Autowired
    private YDClient ydClient;
    @Autowired
    private IKdYdMaterialService kdYdMaterialService;
    @PostMapping("/kdYdMaterial1")
    McR insertkdYdMaterial1(@RequestBody Map map) {
        kdYdMaterialService.insertkdYdMaterial(map);
        return McR.success();
    }
    @PostMapping("/kdYdMaterial")
    Map<String, Object> insertkdYdMaterial(@RequestBody Map map) {
        Map<String, Object> stringObjectMap = kdYdMaterialService.addkdYdMaterial(map);
        return stringObjectMap;
    }

    @PostMapping("/updatekdYdMaterial")
    Map<String, Object> updatekdYdMaterial(@RequestBody Map map) {
        Map<String, Object> stringObjectMap = kdYdMaterialService.updatekdYdMaterial(map);
        return stringObjectMap;
    }
}
